Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class SplitButtonListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.ButtonListenerAdapter
              com.gwtext.client.widgets.event.SplitButtonListenerAdapter

All Implemented Interfaces:
  ButtonListener, ComponentListener, SplitButtonListener

Direct Known Subclasses:
  CycleButtonListenerAdapter

    public class SplitButtonListenerAdapter

extends ButtonListenerAdapter
implements SplitButtonListener

`SplitButton` listener adapter.

Constructor Summary
`SplitButtonListenerAdapter()`

Method Summary
`void` | `onArrowClick(SplitButton menuButton, EventObject e)` Fires when this button's arrow is clicked.

Methods inherited from class com.gwtext.client.widgets.event.ButtonListenerAdapter
`onClick, onMenuHide, onMenuShow, onMenuTriggerOut, onMenuTriggerOver, onMouseOut, onMouseOver, onToggle`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ButtonListener
`onClick, onMenuHide, onMenuShow, onMenuTriggerOut, onMenuTriggerOver, onMouseOut, onMouseOver, onToggle`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### SplitButtonListenerAdapter

    public SplitButtonListenerAdapter()

Method Detail

### onArrowClick

    public void onArrowClick(SplitButton menuButton,
                             EventObject e)

  Description copied from interface: `SplitButtonListener`
  Fires when this button's arrow is clicked.

  Specified by:
    `onArrowClick` in interface `SplitButtonListener`
  Parameters:
    `menuButton` - this
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD